Retrieve Proxy
curl --request GET \
--url https://api.byteful.com/1.0/public/user/proxy/retrieve/{proxy_id} \
--header 'X-API-Private-Key: <api-key>' \
--header 'X-API-Public-Key: <api-key>'import requests
url = "https://api.byteful.com/1.0/public/user/proxy/retrieve/{proxy_id}"
headers = {
"X-API-Private-Key": "<api-key>",
"X-API-Public-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Private-Key': '<api-key>', 'X-API-Public-Key': '<api-key>'}
};
fetch('https://api.byteful.com/1.0/public/user/proxy/retrieve/{proxy_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"asn_id": 7018,
"asn_name": "AT&T Enterprises, LLC",
"city_example_postcode": "75202",
"city_id": 75202,
"city_latitude": 32.7767,
"city_longitude": -96.797,
"city_name": "Dallas",
"city_timezone": "America/Chicago",
"country_id": "us",
"country_name": "United States",
"customer_id": 1955,
"default_proxy_user_password": "apple1984",
"default_proxy_user_username": "stevejobs",
"ip_address_id_v4": "107.225.73.142",
"ip_address_id_v6": "2600:1000:b12a:6351:8523:997e:93c4:f124",
"proxy_http_port": 8080,
"proxy_id": "7a018d34-76c2-4c23-b14d-f7b9a7054e25",
"proxy_ip_address": "107.225.73.142",
"proxy_ip_address_v6": "2600:1000:b12a:6351:8523:997e:93c4:f124",
"proxy_last_update_datetime": "2024-03-12 09:30:00",
"proxy_password": "DHf3PSQXQ7rw1v9",
"proxy_protocol": "ipv4",
"proxy_socks5_port": 1080,
"proxy_status": "in_use",
"proxy_type": "isp",
"proxy_user_ids": [
"stevejobs"
],
"proxy_username": "att7018user",
"service_id": "API-1234-5678",
"subdivision_id": "us-tx",
"subdivision_name": "Texas",
"subnet_id": "107.225.72.0/22",
"subnet_id_v6": "2600:1000::/28"
},
"message": "Proxy successfully retrieved."
}Proxy
Retrieve Proxy
Retrieves a specific Proxy based on the provided ID for the current user’s account, ensuring that only proxies associated with the customer services and in use are returned.
GET
/
public
/
user
/
proxy
/
retrieve
/
{proxy_id}
Retrieve Proxy
Authorizations
Private API key for user-level authentication.
Public API key for user-level authentication.
Path Parameters
ID of the Proxy to retrieve
⌘I

